<?php

/* This mod was created by Ben Harris (http://ben90.com/)
 *
 * Email: whmcs@ben90.com
 *
 * Mod URL: http://ben90.com/2009/07/whmcs-mod-top-knowledgebase-articles-on-any-page/
 * 
 * This mod basically puts your top knowledgebase articles on any
 * of your WHMCS pages.
 *
 * I have created this and am distributing it free of charge. I believe 
 * in anything open source and free, so here is my input. Feel free to
 * do whatever you like with it. If you add any cool features, please 
 * mail them to me and I will add them to the release!!
 *
 * This is released under the Creative Commons: Share Alike 2.0 License
 * http://creativecommons.org/licenses/by-sa/2.0/uk/
 *
 * Version 1.0
 */

// Include the config file
require_once('top-kb-articles.config.php');

// Used to make the seo friendly URLs
function seoFriendly ( $title ) {

	// Replace the spaces with hyphens
	$seoFriendly = ereg_replace(' ', '-', $title);

	// Remove all non alphaneumeric characters (leaves the hyphens though :)
	$seoFriendly = preg_replace('/[^a-zA-Z0-9-]/', '', $seoFriendly);
	
	return $seoFriendly;

}

// The main code for the mod
$result = mysql_query( "SELECT * FROM tblknowledgebase ORDER BY views DESC LIMIT " . $numArticles );

// Add the table headers and such
$output = <<<OUT
<div class="kb_header">
   <h2>{$tkbaTitle}</h2>
</div>
<div class="kb_art">
   <table width="100%">
OUT;

while($kbarticle = mysql_fetch_array($result)){

   // If SEO friendly URLs enabled
   if ( $seoUrls ) {
      $kbUrl = $kbarticle['id'] . "/" . seoFriendly($kbarticle['title']) . ".html";
   }else{
      $kbUrl = "knowledgebase.php?action=displayarticle&amp;id=" . $kbarticle['id'];
   }

   // Get x number of characters from the article (number defined in the config file)
   $articleSnippet = substr($kbarticle['article'],0,$numCharacters);

   // Put the output together
   $output .= <<<OUT

   <tr>
      <td>
         <img src="images/article.gif" class="absmiddle" border="0" alt="Article" /> 
         <strong><a href="{$kbUrl}"\">
            {$kbarticle['title']}</a></strong><br />
            {$articleSnippet}...<br />
            <span style="color:#A8A8A8;font-size:11px;">Views: {$kbarticle['views']}</span><br />
      </td>
   </tr>

OUT;

}

// Append the closing tags for the div and table
$output .= "</table></div>";

// Put it on the page :)
echo $output;

?>